Subject: Re: bug#40992: 27.0.90; Evaluating a function while using edebug breaks

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 02 May 2020 03:43:07 +0200

Alan Mackenzie <[email-masked]> writes:

> There doesn't appear to be a good way of solving this bug.  A workable
> workaround would be to check that the 'edebug property value is a list
> in edebug--overlay-breakpoints, and just to remove the breakpoint
> highlights when it's not a list.  When it's not a list, it's a marker
> pointing to the start of the function, from which the end of the
> function can be found, to serve as the END argument to
> edebug--overlay-breakpoints-remove.
>
> Or something like that.  :-(

I think that sounds like a good solution on master, but the patch that
introduced this should probably be reverted on emacs-27 -- it wasn't a
bug fix, but a new feature, so reverting it should be safe, I think.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no